Добавить пример параллельного запуска диджитизации NeuRad
Status: Закрыта Start date: 07/05/2017

Priority: Низкий Due date:  

Assignee: Vitaliy Schetinin % Done: 0%

Category: NeuRad Estimated time: 0.00 hour

Target version:    

Description

History

#1 - 07/05/2017 08:08 AM - Vitaliy Schetinin

- File digi.C added

- File merge.C added

- File mergeDigi.C added

- File run.sh added

- File runDigi.sh added

- File sim.C added

Пока что все макросы положу сюда.

#2 - 07/05/2017 08:42 AM - Ivan Muzalevsky

- File merge.jpg added

В первый раз, возможно, что я не описал проблему адекватно.... При параллельной симуляции получаемый рутовские файлы мёрджатся,

но получающийся в результате ch.Merge(файл) дальше не обрабатываются и возникают те ошибки, о которых я тебе говорил. скрин

ошибки прикрепил

Если непонятно о чём я говорю, можешь зайти и сам попробовать: muzalevsky@ati.jinr.ru:/home/er/Muzalevsky/NeuRad/oscill там лежат

./runSim.sh и дальшейний merge.C при запуске диджитизации смёрдженого файла вылезает описанная ошибка. 

Пробовал мёрджить на разных этапах симуляции/обработки, ошибка вылезает везде.

#3 - 07/05/2017 08:49 AM - Vitaliy Schetinin

А. Я понял о чем ты. Да. Такое ограничение есть. Проблема в том, что FairRoot хочет видеть в root файлах специальные мета данные,

которые он создает. Так что со смерджинным файлом дальше уже ничего сделать с помощью er не получится. Нужно обрабатывать

отдельные файлы симуляций, как в тех макросах, что я приложил.

Извиняюсь, что заранее не предупредил об этом.

#4 - 07/15/2017 10:43 AM - Vitaliy Schetinin

- Status changed from Открыта to Закрыта
Files

merge.C 228 Bytes 07/05/2017 Vitaliy Schetinin

digi.C 2.75 KB 07/05/2017 Vitaliy Schetinin

mergeDigi.C 237 Bytes 07/05/2017 Vitaliy Schetinin

run.sh 254 Bytes 07/05/2017 Vitaliy Schetinin

runDigi.sh 262 Bytes 07/05/2017 Vitaliy Schetinin

sim.C 4.78 KB 07/05/2017 Vitaliy Schetinin

merge.jpg 61.1 KB 07/05/2017 Ivan Muzalevsky
